Subject: Re: [Peter Vasil] emacs 24.3.50.1: Byte compile warning Warning: function used to take 0+ arguments, now takes 0

From: Stefan Monnier <[email-masked]>
Date: Sat, 13 Jul 2013 20:02:56 -0400

> (defun goto-line-with-feedback ()
>   "Show line numbers temporarily, while prompting for the line number input"
>   (interactive)
>   (let ((line-numbers-off-p (if (boundp 'linum-mode)
>                                 (not linum-mode)
>                               t)))
>     (unwind-protect
>         (progn
>           (when line-numbers-off-p
>             (linum-mode 1))
>           (call-interactively 'goto-line))
>       (when line-numbers-off-p
>         (linum-mode -1)))))

> When I byte-compile init.el I get the following warning:
> function goto-line-with-feedback used to take 0+ arguments, now takes 0

I can't reproduce this here.  What does C-h f goto-line-with-feedback RET
say, after starting an Emacs session?

        Stefan